Subject: Re: [PATCH v8 3/4] sequencer: teach autostash apply to take optional conflict marker labels

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Apr 2026 09:34:08 -0700

Phillip Wood <[email-masked]> writes:

> Hi Harald
>
> On 09/04/2026 20:17, Harald Nordgren via GitGitGadget wrote:
>> From: Harald Nordgren <[email-masked]>
>> 
>> Add label1, label2, and label_ancestor parameters to the autostash

Sorry, I just noticed that these three should have been updated when
the actual parameters were renamed.

>> apply machinery so callers can pass custom conflict marker labels
>> through to "git stash apply --ours-label/--theirs-label/--base-label".
>> Introduce apply_autostash_ref_with_labels() for callers that want
>> to pass labels.
>
> This looks good. In the future we could use this to set some better 
> labels for "git rebase --autostash" but that does not need to be part of 
> this series.

Great.